Package com.artofsolving.jodconverter

# Class DocumentFamily

java.lang.Object
com.artofsolving.jodconverter.DocumentFamily

public class DocumentFamily extends Object
Enum-style class declaring the available document families (Text, Spreadsheet, Presentation).

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DocumentFamily`
`DRAWING`
`static final DocumentFamily`
`PRESENTATION`
`static final DocumentFamily`
`SPREADSHEET`
`static final DocumentFamily`
`TEXT`

## Method Summary

Modifier and Type
Method
Description
`static DocumentFamily`
`getFamily(String name)`
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TEXT

public static final DocumentFamily TEXT

### SPREADSHEET

public static final DocumentFamily SPREADSHEET

### PRESENTATION

public static final DocumentFamily PRESENTATION

### DRAWING

public static final DocumentFamily DRAWING

## Method Details

### getName

public String getName()

### getFamily

public static DocumentFamily getFamily(String name)